
name: Publish PHP Package

on:
  push:
    tags:
      - 'v*'

jobs:
  docker:
    runs-on: ubuntu-latest

    steps:
    - uses: actions/checkout@v3

    - name: Get tag name
      run: echo "TAG=${GITHUB_REF#refs/*/}" >> $GITHUB_ENV

    - name: zip and send
      run: |
        ls -la
        apt-get update -y
        apt-get install -y zip
        cd ../
        zip -r ${{ gitea.event.repository.name }}.zip ${{ gitea.event.repository.name }} -x '*.git*'
        curl -v \
        --user composer-pbl:${{ secrets.COMPOSER_PSWD }} \
        --upload-file ${{ gitea.event.repository.name }}.zip \
        https://git.bit5.ru/api/packages/bit/composer?version=${{ env.TAG }}      